Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngpread.c File Reference

`#include "png.h"`

Include dependency graph for pngpread.c:

## Defines
#define | PNG_INTERNAL
#define | PNG_READ_SIG_MODE 0
#define | PNG_READ_CHUNK_MODE 1
#define | PNG_READ_IDAT_MODE 2
#define | PNG_SKIP_MODE 3
#define | PNG_READ_tEXt_MODE 4
#define | PNG_READ_zTXt_MODE 5
#define | PNG_READ_DONE_MODE 6
#define | PNG_READ_iTXt_MODE 7
#define | PNG_ERROR_MODE 8
## Functions
void | png_process_data (png_structp png_ptr, png_infop info_ptr, png_bytep buffer, png_size_t buffer_size)
void | png_process_some_data (png_structp png_ptr, png_infop info_ptr)
void | png_push_read_sig (png_structp png_ptr, png_infop info_ptr)
void | png_push_read_chunk (png_structp png_ptr, png_infop info_ptr)
void | png_push_crc_skip (png_structp png_ptr, png_uint_32 skip)
void | png_push_crc_finish (png_structp png_ptr)
void | png_push_fill_buffer (png_structp png_ptr, png_bytep buffer, png_size_t length)
void | png_push_save_buffer (png_structp png_ptr)
void | png_push_restore_buffer (png_structp png_ptr, png_bytep buffer, png_size_t buffer_length)
void | png_push_read_IDAT (png_structp png_ptr)
void | png_process_IDAT_data (png_structp png_ptr, png_bytep buffer, png_size_t buffer_length)
void | png_push_process_row (png_structp png_ptr)
void | png_read_push_finish_row (png_structp png_ptr)
void | png_push_handle_tEXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_push_read_tEXt (png_structp png_ptr, png_infop info_ptr)
void | png_push_handle_zTXt (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_push_read_zTXt (png_structp png_ptr, png_infop info_ptr)
void | png_push_handle_unknown (png_structp png_ptr, png_infop info_ptr, png_uint_32 length)
void | png_push_have_info (png_structp png_ptr, png_infop info_ptr)
void | png_push_have_end (png_structp png_ptr, png_infop info_ptr)
void | png_push_have_row (png_structp png_ptr, png_bytep row)
void | png_progressive_combine_row (png_structp png_ptr, png_bytep old_row, png_bytep new_row)
void | png_set_progressive_read_fn (png_structp png_ptr, png_voidp progressive_ptr, png_progressive_info_ptr info_fn, png_progressive_row_ptr row_fn, png_progressive_end_ptr end_fn)
png_voidp | png_get_progressive_ptr (png_structp png_ptr)

## Define Documentation

#define PNG_ERROR_MODE 8

#define PNG_INTERNAL

#define PNG_READ_CHUNK_MODE 1

#define PNG_READ_DONE_MODE 6

#define PNG_READ_IDAT_MODE 2

#define PNG_READ_iTXt_MODE 7

#define PNG_READ_SIG_MODE 0

#define PNG_READ_tEXt_MODE 4

#define PNG_READ_zTXt_MODE 5

#define PNG_SKIP_MODE 3

## Function Documentation

png_voidp png_get_progressive_ptr | ( | png_structp | png_ptr | ) |

void png_process_data | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_bytep | buffer,
|  | png_size_t | buffer_size
| ) |

void png_process_IDAT_data | ( | png_structp | png_ptr,
|  | png_bytep | buffer,
|  | png_size_t | buffer_length
| ) |

void png_process_some_data | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_progressive_combine_row | ( | png_structp | png_ptr,
|  | png_bytep | old_row,
|  | png_bytep | new_row
| ) |

void png_push_crc_finish | ( | png_structp | png_ptr | ) |

void png_push_crc_skip | ( | png_structp | png_ptr,
|  | png_uint_32 | skip
| ) |

void png_push_fill_buffer | ( | png_structp | png_ptr,
|  | png_bytep | buffer,
|  | png_size_t | length
| ) |

void png_push_handle_tEXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_push_handle_unknown | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_push_handle_zTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | length
| ) |

void png_push_have_end | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_push_have_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_push_have_row | ( | png_structp | png_ptr,
|  | png_bytep | row
| ) |

void png_push_process_row | ( | png_structp | png_ptr | ) |

void png_push_read_chunk | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_push_read_IDAT | ( | png_structp | png_ptr | ) |

void png_push_read_sig | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_push_read_tEXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_push_read_zTXt | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_push_restore_buffer | ( | png_structp | png_ptr,
|  | png_bytep | buffer,
|  | png_size_t | buffer_length
| ) |

void png_push_save_buffer | ( | png_structp | png_ptr | ) |

void png_read_push_finish_row | ( | png_structp | png_ptr | ) |

void png_set_progressive_read_fn | ( | png_structp | png_ptr,
|  | png_voidp | progressive_ptr,
|  | png_progressive_info_ptr | info_fn,
|  | png_progressive_row_ptr | row_fn,
|  | png_progressive_end_ptr | end_fn
| ) |